> For the complete documentation index, see [llms.txt](https://docs.cryptolegacy.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptolegacy.app/ukrayinska/oglyad/cryptolegacy-integraciyi-protokoliv-dlya-gnuchkosti.md).

# CryptoLegacy: інтеграції протоколів для гнучкості

CryptoLegacy інтегрує популярні dApp і протоколи, щоб Бенефіціари могли безпечно керувати активами, стейкати, обмінювати, брати позики та переказувати їх без зайвих труднощів.

Інтеграція CryptoLegacy із перевіреними блокчейн-протоколами та dApps допомагає Власникам захищати й відновлювати свої активи, а Бенефіціарам — зручно та безпечно керувати криптоактивами в процесі Розподілу.

## Інтеграція з dApp

На першому етапі CryptoLegacy буде запущено як Safe App. Це дасть змогу користувачам, які зберігають великі активи в Safe-гаманцях, легко й безпечно ними керувати.

## Заплановані інтеграції

* **Aave** – Вносьте, виводьте, беріть позики або перемикайте криптоактиви безпосередньо в CryptoLegacy.
* **Uniswap** – Обмінюйте токени швидко й безпечно всередині CryptoLegacy.
* **1inch** – Обмінюйте токени, стейкайте й анстейкайте 1INCH без зайвих зусиль.
* **Lido** – Стейкайте ETH/WETH або анстейкайте stETH/wstETH без складнощів.
* **DeBridge** – Обмінюйте токени між кількома блокчейн-мережами всередині контрактів CryptoLegacy, які використовують одну адресу.

Інтеграція з цими широко відомими протоколами суттєво підвищує зручність і безпеку роботи в CryptoLegacy. Власники та Бенефіціари можуть легко й ефективно керувати своїми активами в провідних блокчейн-екосистемах.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cryptolegacy.app/ukrayinska/oglyad/cryptolegacy-integraciyi-protokoliv-dlya-gnuchkosti.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
